org.richfaces.component

## Class AbstractOrderingList

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - javax.faces.component.UISelectMany
          - - org.richfaces.component.AbstractSelectManyComponent
            - - org.richfaces.component.AbstractOrderingComponent
              - - org.richfaces.component.AbstractOrderingList

- All Implemented Interfaces:
    EventListener, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, DisabledProps, EventsKeyProps, EventsMouseProps, MultiSelectProps, SelectItemsProps, SelectProps, StyleClassProps, StyleProps, SelectItemsInterface
  Direct Known Subclasses:
    UIOrderingList

      public abstract class AbstractOrderingList
      extends AbstractOrderingComponent
      implements SelectItemsInterface, SelectItemsProps, EventsKeyProps, EventsMouseProps, MultiSelectProps

  The <rich:orderingList> is a component for ordering items in a list (client-side).

  Author:
    Brian Leathem

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UISelectMany

      `INVALID_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractOrderingList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getCaption()` The text placed above the list of items
    `Object` | `getItemValues()`
    `abstract String` | `getOnlistclick()` Javascript code executed when a pointer button is clicked over the list element .
    `abstract String` | `getOnlistdblclick()` Javascript code executed when a pointer button is double clicked over the list element .
    `abstract String` | `getOnlistkeydown()` Javascript code executed when a key is pressed down over the list element .
    `abstract String` | `getOnlistkeypress()` Javascript code executed when a key is pressed and released over the list element .
    `abstract String` | `getOnlistkeyup()` Javascript code executed when a key is released over the list element .
    `abstract String` | `getOnlistmousedown()` Javascript code executed when a pointer button is pressed down over the list element .
    `abstract String` | `getOnlistmousemove()` Javascript code executed when a pointer button is moved within the list element .
    `abstract String` | `getOnlistmouseout()` Javascript code executed when a pointer button is moved away from the list element .
    `abstract String` | `getOnlistmouseover()` Javascript code executed when a pointer button is moved onto the list element .
    `abstract String` | `getOnlistmouseup()` Javascript code executed when a pointer button is released over the list element .

    - ### Methods inherited from class org.richfaces.component.AbstractOrderingComponent

      `compareValues, getDownBottomText, getDownText, getUpText, getUpTopText, isShowButton`

    - ### Methods inherited from class org.richfaces.component.AbstractSelectManyComponent

      `columns, validateValue`

    - ### Methods inherited from class javax.faces.component.UISelectMany

      `getConvertedValue, getFamily, getSelectedValues, getValueBinding, getValueExpression, setSelectedValues, setValueBinding, setValueExpression`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, broadcast, clearInitialState, decode, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.attribute.SelectItemsProps

      `getItemLabel, getItemValue, getVar`

    - ### Methods inherited from interface org.richfaces.component.attribute.EventsKeyProps

      `getOnkeydown, getOnkeypress, getOnkeyup`

    - ### Methods inherited from interface org.richfaces.component.attribute.EventsMouseProps

      `getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup`

    - ### Methods inherited from interface org.richfaces.component.attribute.MultiSelectProps

      `getActiveClass, getChangedClass, getCollectionType, getColumnClasses, getDefaultLabel, getHeaderClass, getListClass, getMaxListHeight, getMinListHeight, getOnblur, getOnchange, getOnfocus, getVar`

    - ### Methods inherited from interface org.richfaces.component.attribute.SelectProps

      `getDisabledClass, getItemClass, getListHeight, getListWidth, getSelectItemClass`

    - ### Methods inherited from interface org.richfaces.component.attribute.DisabledProps

      `isDisabled`

    - ### Methods inherited from interface org.richfaces.component.attribute.StyleProps

      `getStyle`

    - ### Methods inherited from interface org.richfaces.component.attribute.StyleClassProps

      `getStyleClass`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractOrderingList

          public AbstractOrderingList()

  - ### Method Detail

    - #### getItemValues

          public Object getItemValues()

      Specified by:
        `getItemValues` in interface `SelectItemsInterface`

    - #### getCaption

          public abstract String getCaption()

      The text placed above the list of items

    - #### getOnlistclick

          public abstract String getOnlistclick()

      Javascript code executed when a pointer button is clicked over the list element .

    - #### getOnlistdblclick

          public abstract String getOnlistdblclick()

      Javascript code executed when a pointer button is double clicked over the list element .

    - #### getOnlistmousedown

          public abstract String getOnlistmousedown()

      Javascript code executed when a pointer button is pressed down over the list element .

    - #### getOnlistmouseup

          public abstract String getOnlistmouseup()

      Javascript code executed when a pointer button is released over the list element .

    - #### getOnlistmouseover

          public abstract String getOnlistmouseover()

      Javascript code executed when a pointer button is moved onto the list element .

    - #### getOnlistmousemove

          public abstract String getOnlistmousemove()

      Javascript code executed when a pointer button is moved within the list element .

    - #### getOnlistmouseout

          public abstract String getOnlistmouseout()

      Javascript code executed when a pointer button is moved away from the list element .

    - #### getOnlistkeypress

          public abstract String getOnlistkeypress()

      Javascript code executed when a key is pressed and released over the list element .

    - #### getOnlistkeydown

          public abstract String getOnlistkeydown()

      Javascript code executed when a key is pressed down over the list element .

    - #### getOnlistkeyup

          public abstract String getOnlistkeyup()

      Javascript code executed when a key is released over the list element .

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.